// Copyright 2010
// Author: Li Zhang
#include <gtest/gtest.h>
#include <stdlib.h>
#include <iostream>
#include <string>
#include <cctype>
#include <algorithm>
#include <utility>
#include <vector>
#include "./ZukerAlgorithm.h"

using std::cout;
using std::endl;
using std::cin;
using std::string;


int main(int argc, char** argv)
{
  if (argc < 2)
  {
    printf("Usage:please input a string consisting of 'a', 'u', 'c', 'g'.\n"
        "For example: ./ZukerAlgorithmMain aucg.\n");
    exit(1);
  }
  std::vector<std::pair<int, int> > result;
  ZukerAlgorithm z;
  const std::string word = argv[1];
  int flag = 1;
  if (word.length() > 50)
  {
    printf("Warning: The length of string should be at most 50.\n");
    flag = 0;
    exit(1);
  }

  if (flag == 1)
  {
    z.computeStructure(argv[1], &result);
    z.printMatrix();
    z.printStructure(result);
  }

  return 0;
}
